package com.ssj.service.kmt.correctsys.dto;

import java.io.Serializable;

/**
 * @author yanghuan
 * @title: ErrorDetailDto
 * @projectName ssj
 * @description: TODO
 * @date 2019/5/22 14:55
 */
public class ErrorDetailDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 图片url，如果有批注图片则是批注图片，否则是作业原图
     */
    private String pictureUrl;

    /**
     * 报错日期，格式：2019.05.17
     */
    private String checkDate;

    /**
     * 报错的原因
     */
    private String errorReason;
    /**
     * 质检人
     */
    private String checker;

    /**
     * 手动勾选的知识点
     */
    private HomeworkPictureCheckHowDetailDto howDetail;

    public String getChecker() {
        return checker;
    }

    public void setChecker(String checker) {
        this.checker = checker;
    }

    public String getPictureUrl() {
        return pictureUrl;
    }

    public void setPictureUrl(String pictureUrl) {
        this.pictureUrl = pictureUrl;
    }

    public String getCheckDate() {
        return checkDate;
    }

    public void setCheckDate(String checkDate) {
        this.checkDate = checkDate;
    }

    public String getErrorReason() {
        return errorReason;
    }

    public void setErrorReason(String errorReason) {
        this.errorReason = errorReason;
    }

    public HomeworkPictureCheckHowDetailDto getHowDetail() {
        return howDetail;
    }

    public void setHowDetail(HomeworkPictureCheckHowDetailDto howDetail) {
        this.howDetail = howDetail;
    }
}

